Subject: Re: [PATCH] net: ipv6: Do not fix up linklocal and loopback addresses

From: David Ahern <[email-masked]>
Date: Sat, 16 Apr 2016 12:26:50 -0600

On 4/15/16 9:13 PM, Mike Manning wrote:
> f1705ec197e7 added the option to retain user configured addresses on an
> admin down. A comment to one of the later revisions suggested using the
> IFA_F_PERMANENT flag rather than adding a user_managed boolean to the
> ifaddr struct. A side effect of this change is that link local and
> loopback addresses are also retained which is not part of the objective
> of f1705ec197e7. Add check so that these addresses are not fixed up,
> given that a related fix 70af921db6f8 ensures that they are not kept in
> the first place, otherwise this incorrect fixup triggers a crash in fib6.

oops in fib6_del?

>
> Fixes: f1705ec197e7 ("net: ipv6: Make address flushing on ifdown optional")
> Signed-off-by: Mike Manning <[email-masked]>
> ---

for the change
Acked-by: David Ahern <[email-masked]>